var ENV = process.env.NODE_ENV;
if (ENV !== 'production' && ENV !== 'test' && typeof console !== 'undefined' && console.warn && typeof window !== 'undefined') {
    console.warn('You are using a whole package of sinosun-ui, ' + 'please use https://www.npmjs.com/package/babel-plugin-import to reduce app bundle size.');
}

/* 通用 */
import SnButton from './button';
import SnIcon from './icon';

/* 布局 */
import SnWingBlank from './wing-blank';
import SnWhiteSpace from './white-space';

/* 导航 */

/* 数据录入 */
import SnDateTimePickerView from './datetime-picker-view';
import SnDateTimePicker from './datetime-picker';
import SnRangePickerView from './range-picker-view';
import SnRangePicker from './range-picker';
import SnPickerView from './picker-view';
import SnPicker from './picker';
import SnUpload from './upload';
import SnMstpUpload from './mstp-upload';

/* 数据展示 */
import SnListItem from './list-item';
import SnEmpty from './empty';
import SnPopup from './popup';
import SnCollapse from './collapse';
import SnCarousel from './carousel';

/* 反馈 */
import SnLoading from './loading';
import SnToast from './toast';

/* 手势 */

/* 组合 */

/* 其他 */

var components = [SnButton, SnIcon, SnWingBlank, SnWhiteSpace, SnDateTimePickerView, SnDateTimePicker, SnRangePickerView, SnRangePicker, SnPickerView, SnPicker, SnUpload, SnMstpUpload, SnListItem, SnEmpty, SnPopup, SnCollapse, SnCarousel, SnLoading, SnToast];

var install = function install(Vue) {
    components.map(function (component) {
        Vue.use(component);
    });
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

export { SnButton, SnIcon, SnWingBlank, SnWhiteSpace, SnDateTimePickerView, SnDateTimePicker, SnRangePickerView, SnRangePicker, SnPickerView, SnPicker, SnUpload, SnMstpUpload, SnListItem, SnEmpty, SnPopup, SnCollapse, SnCarousel, SnLoading, SnToast };

export default {
    install: install
};